1.1 --- a/configure Tue Jun 02 23:16:26 2009 +0000
1.2 +++ b/configure Sat Jun 13 00:50:48 2009 +0000
1.25 @@ -1492,6 +1500,8 @@
1.26 --disable-translator Disable the SH4 translator (Enabled by default)
1.27 --disable-optimized Disable compile-time optimizations (Enabled by
1.29 + --enable-shared Build drivers as shared libraries (Enabled if
1.31 --enable-profiled Enable profiling build
1.32 --enable-trace Enable generation of IO traces (warning: hurts
1.34 @@ -3585,14 +3595,12 @@
1.39 - { $as_echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
1.40 -$as_echo_n "checking for strerror in -lcposix... " >&6; }
1.41 -if test "${ac_cv_lib_cposix_strerror+set}" = set; then
1.42 - $as_echo_n "(cached) " >&6
1.44 - ac_check_lib_save_LIBS=$LIBS
1.45 -LIBS="-lcposix $LIBS"
1.46 +{ $as_echo "$as_me:$LINENO: checking for library containing strerror" >&5
1.47 +$as_echo_n "checking for library containing strerror... " >&6; }
1.48 +if test "${ac_cv_search_strerror+set}" = set; then
1.49 + $as_echo_n "(cached) " >&6
1.51 + ac_func_search_save_LIBS=$LIBS
1.52 cat >conftest.$ac_ext <<_ACEOF
1.55 @@ -3615,47 +3623,64 @@
1.59 -rm -f conftest.$ac_objext conftest$ac_exeext
1.60 -if { (ac_try="$ac_link"
1.61 -case "(($ac_try" in
1.62 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.63 - *) ac_try_echo=$ac_try;;
1.65 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.66 -$as_echo "$ac_try_echo") >&5
1.67 - (eval "$ac_link") 2>conftest.er1
1.69 - grep -v '^ *+' conftest.er1 >conftest.err
1.70 - rm -f conftest.er1
1.71 - cat conftest.err >&5
1.72 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.73 - (exit $ac_status); } && {
1.74 - test -z "$ac_c_werror_flag" ||
1.75 - test ! -s conftest.err
1.76 - } && test -s conftest$ac_exeext && {
1.77 - test "$cross_compiling" = yes ||
1.78 - $as_test_x conftest$ac_exeext
1.80 - ac_cv_lib_cposix_strerror=yes
1.82 - $as_echo "$as_me: failed program was:" >&5
1.83 -sed 's/^/| /' conftest.$ac_ext >&5
1.85 - ac_cv_lib_cposix_strerror=no
1.88 -rm -rf conftest.dSYM
1.89 -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.90 - conftest$ac_exeext conftest.$ac_ext
1.91 -LIBS=$ac_check_lib_save_LIBS
1.93 -{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
1.94 -$as_echo "$ac_cv_lib_cposix_strerror" >&6; }
1.95 -if test "x$ac_cv_lib_cposix_strerror" = x""yes; then
1.96 - LIBS="$LIBS -lcposix"
1.100 +for ac_lib in '' cposix; do
1.101 + if test -z "$ac_lib"; then
1.102 + ac_res="none required"
1.105 + LIBS="-l$ac_lib $ac_func_search_save_LIBS"
1.107 + rm -f conftest.$ac_objext conftest$ac_exeext
1.108 +if { (ac_try="$ac_link"
1.109 +case "(($ac_try" in
1.110 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.111 + *) ac_try_echo=$ac_try;;
1.113 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.114 +$as_echo "$ac_try_echo") >&5
1.115 + (eval "$ac_link") 2>conftest.er1
1.117 + grep -v '^ *+' conftest.er1 >conftest.err
1.118 + rm -f conftest.er1
1.119 + cat conftest.err >&5
1.120 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.121 + (exit $ac_status); } && {
1.122 + test -z "$ac_c_werror_flag" ||
1.123 + test ! -s conftest.err
1.124 + } && test -s conftest$ac_exeext && {
1.125 + test "$cross_compiling" = yes ||
1.126 + $as_test_x conftest$ac_exeext
1.128 + ac_cv_search_strerror=$ac_res
1.130 + $as_echo "$as_me: failed program was:" >&5
1.131 +sed 's/^/| /' conftest.$ac_ext >&5
1.136 +rm -rf conftest.dSYM
1.137 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.138 + conftest$ac_exeext
1.139 + if test "${ac_cv_search_strerror+set}" = set; then
1.143 +if test "${ac_cv_search_strerror+set}" = set; then
1.146 + ac_cv_search_strerror=no
1.148 +rm conftest.$ac_ext
1.149 +LIBS=$ac_func_search_save_LIBS
1.151 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
1.152 +$as_echo "$ac_cv_search_strerror" >&6; }
1.153 +ac_res=$ac_cv_search_strerror
1.154 +if test "$ac_res" != no; then
1.155 + test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
1.160 ac_cpp='$CPP $CPPFLAGS'
1.161 @@ -7145,6 +7170,13 @@
1.162 enable_optimized=yes
1.165 +# Check whether --enable-shared was given.
1.166 +if test "${enable_shared+set}" = set; then
1.167 + enableval=$enable_shared; if test "$enableval" == "yes"; then enable_shared=yes; else enable_shared=no; fi
1.169 + enable_shared=cond
1.172 # Check whether --enable-profiled was given.
1.173 if test "${enable_profiled+set}" = set; then
1.174 enableval=$enable_profiled; if test "$enableval" == "yes"; then
1.175 @@ -7684,7 +7716,7 @@
1.177 LIBS="$LIBS -framework AppKit"
1.178 LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
1.179 - CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
1.180 + LXDREAMCPPFLAGS="-DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
1.181 LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
1.183 cat >>confdefs.h <<\_ACEOF
1.184 @@ -7816,6 +7848,315 @@
1.185 OBJCFLAGS="$OBJCFLAGS -Wall -Werror -Wno-unused"
1.188 +if test "x$enable_shared" != "xno"; then
1.190 +cat >>confdefs.h <<\_ACEOF
1.191 +#define ENABLE_SHARED 1
1.194 + if test "x$APPLE_BUILD" = "xyes"; then
1.196 + PLUGINLDFLAGS="-dynamiclib -undefined dynamic_lookup"
1.199 + PLUGINLDFLAGS="-shared"
1.201 + PLUGINCFLAGS="-fPIC"
1.203 + if test "${ac_cv_header_dlfcn_h+set}" = set; then
1.204 + { $as_echo "$as_me:$LINENO: checking for dlfcn.h" >&5
1.205 +$as_echo_n "checking for dlfcn.h... " >&6; }
1.206 +if test "${ac_cv_header_dlfcn_h+set}" = set; then
1.207 + $as_echo_n "(cached) " >&6
1.209 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_dlfcn_h" >&5
1.210 +$as_echo "$ac_cv_header_dlfcn_h" >&6; }
1.212 + # Is the header compilable?
1.213 +{ $as_echo "$as_me:$LINENO: checking dlfcn.h usability" >&5
1.214 +$as_echo_n "checking dlfcn.h usability... " >&6; }
1.215 +cat >conftest.$ac_ext <<_ACEOF
1.218 +cat confdefs.h >>conftest.$ac_ext
1.219 +cat >>conftest.$ac_ext <<_ACEOF
1.220 +/* end confdefs.h. */
1.221 +$ac_includes_default
1.222 +#include <dlfcn.h>
1.224 +rm -f conftest.$ac_objext
1.225 +if { (ac_try="$ac_compile"
1.226 +case "(($ac_try" in
1.227 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.228 + *) ac_try_echo=$ac_try;;
1.230 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.231 +$as_echo "$ac_try_echo") >&5
1.232 + (eval "$ac_compile") 2>conftest.er1
1.234 + grep -v '^ *+' conftest.er1 >conftest.err
1.235 + rm -f conftest.er1
1.236 + cat conftest.err >&5
1.237 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.238 + (exit $ac_status); } && {
1.239 + test -z "$ac_c_werror_flag" ||
1.240 + test ! -s conftest.err
1.241 + } && test -s conftest.$ac_objext; then
1.242 + ac_header_compiler=yes
1.244 + $as_echo "$as_me: failed program was:" >&5
1.245 +sed 's/^/| /' conftest.$ac_ext >&5
1.247 + ac_header_compiler=no
1.250 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.251 +{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.252 +$as_echo "$ac_header_compiler" >&6; }
1.254 +# Is the header present?
1.255 +{ $as_echo "$as_me:$LINENO: checking dlfcn.h presence" >&5
1.256 +$as_echo_n "checking dlfcn.h presence... " >&6; }
1.257 +cat >conftest.$ac_ext <<_ACEOF
1.260 +cat confdefs.h >>conftest.$ac_ext
1.261 +cat >>conftest.$ac_ext <<_ACEOF
1.262 +/* end confdefs.h. */
1.263 +#include <dlfcn.h>
1.265 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.266 +case "(($ac_try" in
1.267 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.268 + *) ac_try_echo=$ac_try;;
1.270 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.271 +$as_echo "$ac_try_echo") >&5
1.272 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.274 + grep -v '^ *+' conftest.er1 >conftest.err
1.275 + rm -f conftest.er1
1.276 + cat conftest.err >&5
1.277 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.278 + (exit $ac_status); } >/dev/null && {
1.279 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.280 + test ! -s conftest.err
1.282 + ac_header_preproc=yes
1.284 + $as_echo "$as_me: failed program was:" >&5
1.285 +sed 's/^/| /' conftest.$ac_ext >&5
1.287 + ac_header_preproc=no
1.290 +rm -f conftest.err conftest.$ac_ext
1.291 +{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.292 +$as_echo "$ac_header_preproc" >&6; }
1.294 +# So? What about this header?
1.295 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.297 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.298 +$as_echo "$as_me: WARNING: dlfcn.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.299 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: proceeding with the compiler's result" >&5
1.300 +$as_echo "$as_me: WARNING: dlfcn.h: proceeding with the compiler's result" >&2;}
1.301 + ac_header_preproc=yes
1.304 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: present but cannot be compiled" >&5
1.305 +$as_echo "$as_me: WARNING: dlfcn.h: present but cannot be compiled" >&2;}
1.306 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: check for missing prerequisite headers?" >&5
1.307 +$as_echo "$as_me: WARNING: dlfcn.h: check for missing prerequisite headers?" >&2;}
1.308 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: see the Autoconf documentation" >&5
1.309 +$as_echo "$as_me: WARNING: dlfcn.h: see the Autoconf documentation" >&2;}
1.310 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: section \"Present But Cannot Be Compiled\"" >&5
1.311 +$as_echo "$as_me: WARNING: dlfcn.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.312 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: proceeding with the preprocessor's result" >&5
1.313 +$as_echo "$as_me: WARNING: dlfcn.h: proceeding with the preprocessor's result" >&2;}
1.314 + { $as_echo "$as_me:$LINENO: WARNING: dlfcn.h: in the future, the compiler will take precedence" >&5
1.315 +$as_echo "$as_me: WARNING: dlfcn.h: in the future, the compiler will take precedence" >&2;}
1.319 +{ $as_echo "$as_me:$LINENO: checking for dlfcn.h" >&5
1.320 +$as_echo_n "checking for dlfcn.h... " >&6; }
1.321 +if test "${ac_cv_header_dlfcn_h+set}" = set; then
1.322 + $as_echo_n "(cached) " >&6
1.324 + ac_cv_header_dlfcn_h=$ac_header_preproc
1.326 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_dlfcn_h" >&5
1.327 +$as_echo "$ac_cv_header_dlfcn_h" >&6; }
1.330 +if test "x$ac_cv_header_dlfcn_h" = x""yes; then
1.332 + { $as_echo "$as_me:$LINENO: checking for library containing dlopen" >&5
1.333 +$as_echo_n "checking for library containing dlopen... " >&6; }
1.334 +if test "${ac_cv_search_dlopen+set}" = set; then
1.335 + $as_echo_n "(cached) " >&6
1.337 + ac_func_search_save_LIBS=$LIBS
1.338 +cat >conftest.$ac_ext <<_ACEOF
1.341 +cat confdefs.h >>conftest.$ac_ext
1.342 +cat >>conftest.$ac_ext <<_ACEOF
1.343 +/* end confdefs.h. */
1.345 +/* Override any GCC internal prototype to avoid an error.
1.346 + Use char because int might match the return type of a GCC
1.347 + builtin and then its argument prototype would still apply. */
1.348 +#ifdef __cplusplus
1.360 +for ac_lib in '' dl; do
1.361 + if test -z "$ac_lib"; then
1.362 + ac_res="none required"
1.365 + LIBS="-l$ac_lib $ac_func_search_save_LIBS"
1.367 + rm -f conftest.$ac_objext conftest$ac_exeext
1.368 +if { (ac_try="$ac_link"
1.369 +case "(($ac_try" in
1.370 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.371 + *) ac_try_echo=$ac_try;;
1.373 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.374 +$as_echo "$ac_try_echo") >&5
1.375 + (eval "$ac_link") 2>conftest.er1
1.377 + grep -v '^ *+' conftest.er1 >conftest.err
1.378 + rm -f conftest.er1
1.379 + cat conftest.err >&5
1.380 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.381 + (exit $ac_status); } && {
1.382 + test -z "$ac_c_werror_flag" ||
1.383 + test ! -s conftest.err
1.384 + } && test -s conftest$ac_exeext && {
1.385 + test "$cross_compiling" = yes ||
1.386 + $as_test_x conftest$ac_exeext
1.388 + ac_cv_search_dlopen=$ac_res
1.390 + $as_echo "$as_me: failed program was:" >&5
1.391 +sed 's/^/| /' conftest.$ac_ext >&5
1.396 +rm -rf conftest.dSYM
1.397 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.398 + conftest$ac_exeext
1.399 + if test "${ac_cv_search_dlopen+set}" = set; then
1.403 +if test "${ac_cv_search_dlopen+set}" = set; then
1.406 + ac_cv_search_dlopen=no
1.408 +rm conftest.$ac_ext
1.409 +LIBS=$ac_func_search_save_LIBS
1.411 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_search_dlopen" >&5
1.412 +$as_echo "$ac_cv_search_dlopen" >&6; }
1.413 +ac_res=$ac_cv_search_dlopen
1.414 +if test "$ac_res" != no; then
1.415 + test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
1.422 + if test "x$have_dlopen" != "xyes"; then
1.423 + if test "x$enable_shared" == "xyes"; then
1.424 + { { $as_echo "$as_me:$LINENO: error: \"--enable-shared not supported on your system - can't find a working dlopen\" " >&5
1.425 +$as_echo "$as_me: error: \"--enable-shared not supported on your system - can't find a working dlopen\" " >&2;}
1.426 + { (exit 1); exit 1; }; }
1.428 + { $as_echo "$as_me:$LINENO: WARNING: \"Statically linking all plugins\"" >&5
1.429 +$as_echo "$as_me: WARNING: \"Statically linking all plugins\"" >&2;}
1.433 + { $as_echo "$as_me:$LINENO: checking if linker accepts -rdynamic" >&5
1.434 +$as_echo_n "checking if linker accepts -rdynamic... " >&6; }
1.435 + old_LDFLAGS="$LDFLAGS"
1.436 + LDFLAGS="$LDFLAGS -rdynamic"
1.437 + cat >conftest.$ac_ext <<_ACEOF
1.440 +rm -f conftest.$ac_objext conftest$ac_exeext
1.441 +if { (ac_try="$ac_link"
1.442 +case "(($ac_try" in
1.443 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.444 + *) ac_try_echo=$ac_try;;
1.446 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.447 +$as_echo "$ac_try_echo") >&5
1.448 + (eval "$ac_link") 2>conftest.er1
1.450 + grep -v '^ *+' conftest.er1 >conftest.err
1.451 + rm -f conftest.er1
1.452 + cat conftest.err >&5
1.453 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.454 + (exit $ac_status); } && {
1.455 + test -z "$ac_c_werror_flag" ||
1.456 + test ! -s conftest.err
1.457 + } && test -s conftest$ac_exeext && {
1.458 + test "$cross_compiling" = yes ||
1.459 + $as_test_x conftest$ac_exeext
1.462 + LXDREAMLDFLAGS="-rdynamic"
1.463 + { $as_echo "$as_me:$LINENO: result: yes" >&5
1.464 +$as_echo "yes" >&6; }
1.467 + $as_echo "$as_me: failed program was:" >&5
1.468 +sed 's/^/| /' conftest.$ac_ext >&5
1.471 + LXDREAMLDFLAGS=""
1.472 + { $as_echo "$as_me:$LINENO: result: no" >&5
1.473 +$as_echo "no" >&6; }
1.476 +rm -rf conftest.dSYM
1.477 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.478 + conftest$ac_exeext conftest.$ac_ext
1.479 + LDFLAGS="$old_LDFLAGS"
1.488 +if test "x$have_dlopen" = "xyes"; then
1.489 + BUILD_SHARED_TRUE=
1.490 + BUILD_SHARED_FALSE='#'
1.492 + BUILD_SHARED_TRUE='#'
1.493 + BUILD_SHARED_FALSE=
1.498 { $as_echo "$as_me:$LINENO: checking support for fastcall calling conventions" >&5
1.499 $as_echo_n "checking support for fastcall calling conventions... " >&6; };
1.500 @@ -7983,6 +8324,7 @@
1.505 { $as_echo "$as_me:$LINENO: checking for library containing listen" >&5
1.506 $as_echo_n "checking for library containing listen... " >&6; }
1.507 if test "${ac_cv_search_listen+set}" = set; then
1.508 @@ -11045,6 +11387,7 @@
1.509 #define HAVE_LINUX_JOYSTICK 1
1.512 + INPUT_DRIVERS="$INPUT_DRIVERS joy_linux"
1.514 echo "Linux Joystick support not found, building without it."
1.516 @@ -11197,6 +11540,8 @@
1.517 #define HAVE_LIRC 1
1.520 + INPUT_DRIVERS="$INPUT_DRIVERS lirc"
1.523 echo "LIRC support not found, building without it."
1.525 @@ -13233,6 +13578,13 @@
1.526 Usually this means the macro was only invoked conditionally." >&2;}
1.527 { (exit 1); exit 1; }; }
1.529 +if test -z "${BUILD_SHARED_TRUE}" && test -z "${BUILD_SHARED_FALSE}"; then
1.530 + { { $as_echo "$as_me:$LINENO: error: conditional \"BUILD_SHARED\" was never defined.
1.531 +Usually this means the macro was only invoked conditionally." >&5
1.532 +$as_echo "$as_me: error: conditional \"BUILD_SHARED\" was never defined.
1.533 +Usually this means the macro was only invoked conditionally." >&2;}
1.534 + { (exit 1); exit 1; }; }
1.536 if test -z "${GUI_GTK_TRUE}" && test -z "${GUI_GTK_FALSE}"; then
1.537 { { $as_echo "$as_me:$LINENO: error: conditional \"GUI_GTK\" was never defined.
1.538 Usually this means the macro was only invoked conditionally." >&5
1.539 @@ -14757,14 +15109,15 @@
1.540 echo " Audio drivers: $AUDIO_DRIVERS"
1.543 +if test "x$INPUT_DRIVERS" = "x"; then
1.544 + echo " Input drivers: none (no supported output devices found)"
1.546 + echo " Input drivers: $INPUT_DRIVERS"
1.549 if test "x$CDROM_DRIVER" = "x"; then
1.550 echo " CD-ROM driver: none (no supported cd-rom devices found)"
1.552 echo " CD-ROM driver: $CDROM_DRIVER"
1.555 -if test "x$HAVE_LIRC_CLIENT_H" = "x"; then
1.556 - echo " LIRC support: no"
1.558 - echo " LIRC support: yes"